package me.mrletsplay.videobase;

import me.mrletsplay.mrcore.json.converter.JSONConstructor;
import me.mrletsplay.mrcore.json.converter.JSONConvertible;
import me.mrletsplay.mrcore.json.converter.JSONValue;

public class Config implements JSONConvertible {

	@JSONValue
	private String libraryPath;

	@JSONValue
	private boolean readOnly;

	@JSONValue
	private String cachePath;

	@JSONConstructor
	private Config() {}

	public String getLibraryPath() {
		return libraryPath;
	}

	public boolean isReadOnly() {
		return readOnly;
	}

	public String getCachePath() {
		return cachePath;
	}

	public static Config createDefault() {
		Config config = new Config();
		config.libraryPath = "library";
		config.readOnly = false;
		config.cachePath = "cache";
		return config;
	}

}
